Bug 486269 - Review Request: levien-inconsolata-fonts - Inconsolata fonts
Review Request: levien-inconsolata-fonts - Inconsolata fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On: 431368
Blocks: 477401
  Show dependency treegraph
 
Reported: 2009-02-19 01:24 EST by Kevin Fenzi
Modified: 2012-07-13 21:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 16:52:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review?
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2009-02-19 01:24:08 EST
Spec URL: http://www.scrye.com/~kevin/fedora/levien-inconsolata-fonts/levien-inconsolata-fonts.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/levien-inconsolata-fonts/levien-inconsolata-fonts-1.01-1.fc11.src.rpm
Description: 

A monospace font, designed for code listings and the like, in print.

This is a rename/update of the existing inconsolata-fonts package.
Comment 3 Kevin Fenzi 2009-02-24 19:13:13 EST
I've made those changes here: 

http://www.scrye.com/~kevin/fedora/levien-inconsolata-fonts/levien-inconsolata-fonts-1.01-2.fc11.src.rpm

However, it's not building here under mock. 
I can't seem to track down why. ;( 

Will keep looking, but if anyone has any ideas, let me know...
Comment 4 Nicolas Mailhot 2009-02-25 01:27:04 EST
The package renaming changes %{fontname} and a define was changed to global. Maybe there's a conflict with your use of $fontname in the fontforge script?

Otherwise, can you post failing build logs?
Comment 5 Kevin Fenzi 2009-02-25 14:07:07 EST
Yeah, the old font fails exactly the same way, so it must be a change somewhere in rawhide. ;( 

http://koji.fedoraproject.org/koji/getfile?taskID=1167442&name=build.log

+ fontforge -script - /builddir/build/SOURCES/Inconsolata.sfd
Copyright (c) 2000-2008 by George Williams.
 Executable based on sources from 16:11 GMT 24-Dec-2008.
 Library based on sources from 16:11 GMT 24-Dec-2008.
  File "<stdin>", line 2
    while ( i < $argc )
                ^
SyntaxError: invalid syntax
error: Bad exit status from /var/tmp/rpm-tmp.e4UUpX (%build)

any ideas?
Comment 6 Kevin Fenzi 2009-02-28 01:04:04 EST
It was enabling the python bindings. When those are enabled, it assumes python... 

passing it '-lang=ff' causes it to use the 'legacy' fontforge scripting lang. 

Will get this imported and built now. 

Does the fontconfig file I have here look ok?

New Package CVS Request
=======================
Package Name: levien-inconsolata-fonts
Short Description: A monospace font, designed for code listings and the like, in print
Owners: kevin
Branches: devel
InitialCC:
Comment 7 Kevin Fenzi 2009-02-28 18:40:16 EST
cvs done.
Comment 8 Kevin Fenzi 2009-03-02 16:52:02 EST
Built in rawhide and old package marked dead.
Comment 9 Kevin Fenzi 2012-07-13 21:57:23 EDT
Going ahead with a EL6 branch

Package Change Request
======================
Package Name: levien-inconsolata-fonts
New Branches: el6
Owners: kevin
InitialCC:

Note You need to log in before you can comment on or make changes to this bug.